/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/mixins/breakpoints';

.carousel {
    padding-left: 10px;
    flex: 1 0 0;
}

.viewport {
    overflow: hidden;
    height: 300px;

    @include breakpoints.screen-m-and-up {
        height: 400px;
    }
}

.container {
    display: flex;
    height: 100%;
}

.slide {
    position: relative;
    flex: 0 0 100%;
    margin-left: 10px;
}

.slide-image {
    object-fit: contain;
    height: 100%;
    width: 100%;
}
